version: '2'

services:
  tester:
    build: ./tester
    image: test1_tester:latest
    environment:
      - PYLOGLEVELCONSOLE=INFO
      - PYLOGLEVELFILE=INFO       
    networks:
      - mmiotnet
    depends_on:
      - "sut"
  sut:
    image: mmcvp-mec/mecnpms
    environment:
      - PYLOGLEVELCONSOLE=INFO
      - PYLOGLEVELFILE=INFO       
    ports:
      - "1234:1234"         
    networks:
      - mmiotnet
    depends_on:
      - "nginx"
  nginx:
    image: nginx:alpine
    ports:
      - "8080:80"         
    networks:
      - mmiotnet      
networks:
  mmiotnet:

